Subject: New non-WG Mailing List: Internationalization Review Process (i18nRP)

From: Adam Roach <[email-masked]>
Date: Mon, 4 Jun 2018 11:31:02 -0500

Based on the high rate of traffic regarding internationalization review 
in the IETF, it is clear that several people are interested in at least 
discussing the topic. To that end, we (the ART area directors) have 
created a mailing list for continuing that conversation. Participants in 
the current discussion on [email-masked] are requested to take follow-ups 
and other related messages to the new mailing list:

List Address: [email-masked]
To subscribe: https://www.ietf.org/mailman/listinfo/i18nrp

Thanks!

/a

---

From: Adam Roach <[email-masked]>
Date: Mon, 4 Jun 2018 13:10:20 -0500

John --

Thanks for helping me to understand your concerns. For clarification: 
you do not presume that the long-term result of this discussion will be 
using [email-masked] as a forum for all i18n-related conversations from 
this point forward, do you?

I'm happy that we had a burst of high-volume traffic on the general 
mailing list, both from the perspective of ensuring that subscribers to 
that list are well aware of the effort and from the perspective of 
providing a data point for a level of interest in the topic. That level 
of interest will not be ignored.

All of that said, it is the position of the ART area directors that this 
discussion would benefit from having its own dedicated forum, and that 
the IETF general mailing list would benefit from a relocation of the 
conversation as well. I further note that establishment of a dedicated 
mailing list for even non-working-group-forming BOFs is commonplace, to 
the point of effectively being standard operating procedure.

/a

On 6/4/18 12:15 PM, John C Klensin wrote:
> Adam,
>
> I think this is a mistake and tried to explain the reason in the
> BOF proposal and some of my comments on the subject.  If you
> push the topic off into a separate mailing list, you encourage
> those who wish the topics (internationalization substantively
> and/or how to handle i18n-related documents or proposals) would
> just go away or that it would be handled by specialists and then
> the rest of the community informed and that they can safely
> ignore them.
>
> >From that point of view, those attitudes and whatever encourages
> them are very likely what got us into the current situation.
> While, for example, Nico and I may disagree about the amount of
> time end energy needed to participate competently or expertly in
> i18n discussions, the message that the topic can be left to
> those who are specifically and sufficiently interested to join
> yet another mailing list is, IMO, exactly what results in you
> and your colleagues concluding that there is insufficient
> critical mass to process documents or other work on the topic.
>
> A separate mailing list may be the right thing to do, but, given
> those disadvantages, I'd like to see more rationale for it than
> a "high rate of traffic" over a period of about a week.
>
> best,
>      john
>
>
> --On Monday, June 4, 2018 11:31 -0500 Adam Roach
> <[email-masked]> wrote:
>
>> Based on the high rate of traffic regarding
>> internationalization review in the IETF, it is clear that
>> several people are interested in at least discussing the
>> topic. To that end, we (the ART area directors) have created a
>> mailing list for continuing that conversation. Participants in
>> the current discussion on [email-masked] are requested to take
>> follow-ups and other related messages to the new mailing list:
>>

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Jun 2018 21:41:44 -0400

--On Monday, June 4, 2018 13:10 -0500 Adam Roach
<[email-masked]> wrote:

> John --
> 
> Thanks for helping me to understand your concerns. For
> clarification: you do not presume that the long-term result of
> this discussion will be using [email-masked] as a forum for all
> i18n-related conversations from this point forward, do you?

Absolutely not.   To take that question and the answer a tad
further, I think it would make sense to try to consolidate all
general discussions about i18n issues --distinguished from the
details of particular protocols-- onto a single list.  In other
words, I'd far prefer to move questions of Unicode properties,
case handling, and normalization; character confusion and other
characteristics of particular characters (including whether they
are "troublesome"); and whether some piece of protocol work  or
updating should be switched to use non-ASCII characters at all
onto a single list rather than having to deal with those issues
separately on the IDNA, PRECIS, maybe EAI/IMA, languages, and
other lists.  Maybe issues and clarifications that are closely
bound to one of those protocol groups should stay on separate
lists but maybe not: again, there seems to be too little
committed expertise around and anything that can be done that
reduces the degree to which those people have to do redundant
work, the less likely more of them will to just walk away in
frustration (see Andrew Sullivan's comment about "yet another
list" for a slightly different perspective on this).

The distinction about the discussion I'm trying to have, and for
which I proposed the BOF, is a matter of procedure --how we get
something done in the IETF or decide that we cannot do it or
don't care enough to go to the effort, not a matter of i18n
substances.  There might be edge cases but I think that, in
general, the boundary is clear.

If the result of the discussions for which the BOF was requested
led to the creation of something Directorate- or Task Force-like
then a separate mailing list would certainly be in order for
that activity.

> I'm happy that we had a burst of high-volume traffic on the
> general mailing list, both from the perspective of ensuring
> that subscribers to that list are well aware of the effort and
> from the perspective of providing a data point for a level of
> interest in the topic. That level of interest will not be
> ignored.

ok

> All of that said, it is the position of the ART area directors
> that this discussion would benefit from having its own
> dedicated forum, and that the IETF general mailing list would
> benefit from a relocation of the conversation as well. I
> further note that establishment of a dedicated mailing list
> for even non-working-group-forming BOFs is commonplace, to the
> point of effectively being standard operating procedure.

I continue to believe that procedural pre-BOF (or other
strategy-forming discussions) belong on the IETF list, as
mentioned above and in the earlier note.  I also agree with
Andrew that isolating this discussion onto yet another "little
list" is likely to reduce rather than increase quality
participation.  However, I thought earlier today about whether I
would appeal a decision to force things onto a separate list and
have decided against doing so.   I think you can assume,
especially in the light of your comment above about level of
interest, that, were the BOF proposal to be rejected (or the BOF
forced into an unacceptable slot) on the basis of insufficient
discussion on the new list, someone would appeal that decision,
but I assume and hope things won't get there.

best,
    john